## pylama 7.3.3

=== requirements.txt ===
# Test requirements

mccabe      >= 0.5.2
pycodestyle >= 2.0.0
pydocstyle  >= 1.1.1
pyflakes    >= 1.3.0
# radon       >= 1.4.2

=== debian/changelog ===
pylama (7.3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source only upload to dependencies (Closes: #856794).

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 May 2017 17:38:42 +0200

pylama (7.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 02 Jan 2017 02:20:09 +0800

pylama (7.3.1-1) unstable; urgency=low

  * Initial release. Closes: #779449

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Dec 2016 13:05:26 +0800

=== debian/control ===
Source: pylama
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper (>= 10),
               asciidoc,
               dh-python,
               pydocstyle,
               python3-all,
               python3-pyflakes,
               python3-setuptools,
               python-all,
               python-pyflakes,
               python-setuptools,
               xmlto,
Standards-Version: 3.9.8
Homepage: https://github.com/klen/pylama
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pylama.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pylama.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pylama
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python:Depends},
Description: code audit library for Python in Python2
 pylama s a code audit tool for Python and JavaScript. It wraps the following
 tools:
  * PEP8 © 2012-2013, Florent Xicluna;
  * PEP257 © 2012, GreenSteam, <http://greensteam.dk/>
  * PyFlakes © 2005-2013, Kevin Watters;
  * Mccabe © Ned Batchelder;
  * Pylint © 2013, Logilab (should be installed 'pylama_pylint' module);
  * gjslint © The Closure Linter Authors (should be installed 'pylama_gjslint'
    module);
 .
 This package installs the library in Python 2.

Package: python3-pylama
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
Description: code audit library for Python in Python3
 pylama s a code audit tool for Python and JavaScript. It wraps the following
 tools:
  * PEP8 © 2012-2013, Florent Xicluna;
  * PEP257 © 2012, GreenSteam, <http://greensteam.dk/>
  * PyFlakes © 2005-2013, Kevin Watters;
  * Mccabe © Ned Batchelder;
  * Pylint © 2013, Logilab (should be installed 'pylama_pylint' module);
  * gjslint © The Closure Linter Authors (should be installed 'pylama_gjslint'
    module);
 .
 This package installs and library in Python 3.

Package: pylama
Architecture: all
Section: devel
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pylama (= ${binary:Version}),
Description: code audit tool for Python in Python3
 pylama s a code audit tool for Python and JavaScript. It wraps the following
 tools:
  * PEP8 © 2012-2013, Florent Xicluna;
  * PEP257 © 2012, GreenSteam, <http://greensteam.dk/>
  * PyFlakes © 2005-2013, Kevin Watters;
  * Mccabe © Ned Batchelder;
  * Pylint © 2013, Logilab (should be installed 'pylama_pylint' module);
  * gjslint © The Closure Linter Authors (should be installed 'pylama_gjslint'
    module);
 .
 This package installs the tool in Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export PYBUILD_NAME = pylama

DATE := $(shell date --date="$$(dpkg-parsechangelog --show-field Date)" +%F)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
	dh_auto_configure

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-pylama/usr/bin

	mkdir -p $(CURDIR)/debian/pylama/usr/bin
	mv $(CURDIR)/debian/python3-pylama/usr/bin/* $(CURDIR)/debian/pylama/usr/bin/

## pylama 7.4.3

=== requirements.txt ===
# Test requirements

mccabe      >= 0.5.2
pycodestyle >= 2.3.1
pydocstyle  >= 2.0.0
pyflakes    >= 1.5.0
# radon       >= 1.4.2

=== debian/changelog ===
pylama (7.4.3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-pydocstyle and
      python3-pyflakes.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:59:25 +0000

pylama (7.4.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on pycodestyle and pydocstyle.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 21:23:58 -0400

pylama (7.4.3-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 20:16:12 +0200

pylama (7.4.3-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.2.1.
    + Set Rules-Requires-Root:no.
  * Add patch from upstream for compatibility with Python 3.7.  Closes: #904491

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Sep 2018 11:53:12 +0200

pylama (7.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Merge to unstable.
  * Bump Standards-Version to 4.1.3
    * Use https in Format in debian/copyright.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.debian.org.
  * Remove unused README.Debian.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 13 Feb 2018 07:32:24 +0800

pylama (7.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 03 Jul 2017 16:26:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,23 @@
 Source: pylama
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                asciidoc,
                dh-python,
+               pycodestyle,
                pydocstyle,
                python3-all,
+               python3-pydocstyle,
                python3-pyflakes,
                python3-setuptools,
-               python-all,
-               python-pyflakes,
-               python-setuptools,
                xmlto,
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://github.com/klen/pylama
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pylama.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pylama.git
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-
-Package: python-pylama
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${python:Depends},
-Description: code audit library for Python in Python2
- pylama s a code audit tool for Python and JavaScript. It wraps the following
- tools:
-  * PEP8 © 2012-2013, Florent Xicluna;
-  * PEP257 © 2012, GreenSteam, <http://greensteam.dk/>
-  * PyFlakes © 2005-2013, Kevin Watters;
-  * Mccabe © Ned Batchelder;
-  * Pylint © 2013, Logilab (should be installed 'pylama_pylint' module);
-  * gjslint © The Closure Linter Authors (should be installed 'pylama_gjslint'
-    module);
- .
- This package installs the library in Python 2.
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pylama
+Vcs-Git: https://salsa.debian.org/python-team/packages/pylama.git
 
 Package: python3-pylama
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,8 @@
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME = pylama
 
-DATE := $(shell date --date="$$(dpkg-parsechangelog --show-field Date)" +%F)
-
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_configure:
 	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage

## pylama 8.4.1

=== requirements/requirements.txt ===
# Test requirements

mccabe      >= 0.7.0
pycodestyle >= 2.9.1
pydocstyle  >= 6.1.1
pyflakes    >= 2.5.0

=== debian/changelog ===
pylama (8.4.1-2) unstable; urgency=medium

  * Team upload.
  * Add missing runtime dependency on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 19:55:36 +0100

pylama (8.4.1-1) unstable; urgency=medium

  * New upstream version 8.4.1
  * Remove pylama.egg-info/ to fix build
  * Remove d/patches/python37.patch as bug fixed upstream
  * Update d/watch version
  * Update Standards-Version: 4.2.1 -> 4.6.2: no change needed
  * d/copyright: update license to MIT
  * d/tests/: add a minimal autopkgtests test
  * Fix "AttributeError: module 'pyflakes.messages' has no attribute
    'RedefinedInListComp'" using new upstream version (Closes: #1041344)

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 31 Jul 2023 20:09:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                asciidoc,
-               dh-python,
+               dh-sequence-python3,
                pycodestyle,
                pydocstyle,
                python3-all,
@@ -13,7 +13,7 @@
                python3-pyflakes,
                python3-setuptools,
                xmlto,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/klen/pylama
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pylama
@@ -24,6 +24,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-pkg-resources,
 Description: code audit library for Python in Python3
  pylama s a code audit tool for Python and JavaScript. It wraps the following
  tools:

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,13 @@
 export PYBUILD_NAME = pylama
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_configure:
 	cat debian/*manpages | sed 's/$$/.txt/p' | xargs -n 1 a2x --doctype manpage --format manpage
 	dh_auto_configure
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rm -rf $(CURDIR)/debian/python-pylama/usr/bin
 
 	mkdir -p $(CURDIR)/debian/pylama/usr/bin

=== debian/tests/control ===
Tests: sanity

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pylama/pylama-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pylama pylint-0.1.0

=== requirements.txt ===
pylama>=2.0.0
